Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3527 - nxterm core dumping when catting a binary file
Summary: nxterm core dumping when catting a binary file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-17 14:00 UTC by mike
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-15 19:24:09 UTC


Attachments (Terms of Use)

Description mike 1999-06-17 14:00:06 UTC
Whilst running bash in a nxterm, upon catting a .db file
produced by suck, nxterm core dumps (apparently in strcpy,
but the distributed version has no debugging symbols)

I'm unsure as to whether all .db files produced by suck do
this, or just this one, so i've made the file available on
the ftp site I run, if you wish to test this with a
debugging version.

It's accessible at ftp://ftp.mirai.net/pub/temp/suck.db

Comment 1 Preston Brown 1999-07-15 19:24:59 UTC
actually, this is a problem with xterm in general, not nxterm - nxterm
no longer exists as of Red Hat 6.0, it is simply a symlink to xterm.
I am fairly confident that this bug will be fixed in XFree86 4.0, as a
lot of work has recently gone into xterm.  However, for now, "don't do
that." :) I think you just found a random collection of binary data
that exercises this bug, and I doubt it is all .db files. For
instance, cat'ing /usr/bin/ls in an xterm, which is a much larger
binary, doesn't cause a segfault.


Note You need to log in before you can comment on or make changes to this bug.